;-----------------------------------------------------
; Solar Assembler example for ELF32 object file
; using Linux native int 80h interfaces
;
; build with:
;	 sol_asm2 test.asm test.obj -elf32
;
; link with:
;	ld -e _start test.obj
;
; run:
;	./a.out ; echo $?  
;-----------------------------------------------------

;-------------------
; define sections
;-------------------
section ".text"		class_code
section ".data"		class_data


..data
	msg_elf		db	13,10,'Hi from Sol_Asm Linux native sample',13,10,0
	msg_len		equ	$-msg_elf

..text

.entry _start

_start:
	;-------------------------------
	; write a string to stdout
	;-------------------------------
	mov	edx,msg_len	; message len
	mov	ecx,msg_elf	; message
	mov	ebx,1		; STDOUT
	mov	eax,4		; function 4 = sys_write
	int	80h
	
	;----------------
	; _exit(77)
	;----------------
	mov	ebx,77		; exit code
	mov	eax,1		; function 1 = sys_exit
	int	80h

	ret

;----------------------------
; the end of this programm
;----------------------------
