;-----------------------------------
; Window types defined
;-----------------------------------
WND_TYPE_TOP		EQU	0		; MDI child also
WND_TYPE_ICON		EQU	1

WND_TYPE_BUTTON		EQU	10
WND_TYPE_CHECKBOX	EQU	11

WND_TYPE_EDIT		EQU	20

WND_TYPE_SCROLL_VERT	EQU	30
WND_TYPE_SCROLL_HORIZ	EQU	31

WND_TYPE_LIST_BOX	EQU	40
WND_TYPE_TREE		EQU	41

;-------------------------------------
; not exactly happy about them
;-------------------------------------
WND_TYPE_MENU_PAD	EQU	50
WND_TYPE_MENU_POP	EQU	51
WND_TYPE_MENU_ITEM_PAD	EQU	52
WND_TYPE_MENU_ITEM_POP	EQU	53

;---------------------------------------
; those controls are semi implemented
; but non-funtional yet
;---------------------------------------
WND_TYPE_GRID		EQU	60
WND_TYPE_LIST_VIEW	EQU	61
WND_TYPE_SLIDER_HORIZ	EQU	62

;--------------------------------------------
; those controls are not yet implemented
;--------------------------------------------
WND_TYPE_BIG_EDIT	EQU	70
WND_TYPE_STATIC_TEXT	EQU	71	
WND_TYPE_STATIC_SHAPE	EQU	72	



;--------------------------------------------
; Window Flags defined
; to be continued
;--------------------------------------------
FLAG_WND_ALPHA			EQU	1h	;translucent
FLAG_WND_HIDDEN			EQU	2h
FLAG_WND_NO_MOVE		EQU	4h
FLAG_WND_NO_RESIZE		EQU	8h

FLAG_WND_LEFT			EQU	10h
FLAG_WND_RIGHT			EQU	20h
FLAG_WND_NO_CAPTION		EQU	40h	;not used
FLAG_WND_MINI			EQU	80h

FLAG_WND_NO_CLOSE		EQU	100h	;not used
FLAG_WND_NO_EDGE		EQU	200h	;not used
FLAG_WND_NO_CLIENT_EDGE		EQU	400h	;not used
FLAG_WND_DISABLED		EQU	800h

; move limitations
FLAG_WND_NO_MOVE_X		EQU	1000h
FLAG_WND_NO_MOVE_Y		EQU	2000h

;---------------------------
; some anchor types :)
;---------------------------
FLAG_WND_KEEP_RIGHT		EQU	4000h
FLAG_WND_KEEP_BOTTOM		EQU	8000h
FLAG_WND_KEEP_DX		EQU	10000h
FLAG_WND_KEEP_DY		EQU	20000h

;------------------------------------
; messages defines
;------------------------------------
ACT_LEFT_DOWN_DESK	EQU	1
ACT_LEFT_DOWN_CHILD	EQU	2
ACT_LEFT_DOWN_CAPTURE	EQU	3

ACT_LEFT_UP_DESK	EQU	4
ACT_LEFT_UP_CHILD	EQU	5
ACT_LEFT_UP_CAPTURE	EQU	6

ACT_LEFT_CLICK		EQU	7
ACT_LEFT_DCLICK		EQU	8

ACT_LEFT_DRAG_DESK	EQU	9
ACT_LEFT_DRAG_CHILD	EQU	10

ACT_LEFT_DROP_DESK	EQU	11
ACT_LEFT_DROP_CHILD	EQU	12

ACT_MOUSE_MOVE_DESK	EQU	13
ACT_MOUSE_MOVE_CHILD	EQU	14

ACT_PAINT_DESK		EQU	15
ACT_PAINT_CHILD		EQU	16

ACT_KEY_DESK		EQU	17
ACT_KEY_CHILD		EQU	18

ACT_CLOSE_DESK		EQU	19	;unlikely to exist?
ACT_CLOSE_CHILD		EQU	20

ACT_PULSE		EQU	21	;not used
ACT_OS_CREATE		EQU	22

ACT_WHEEL_UP		EQU	23
ACT_WHEEL_DOWN		EQU	24

ACT_RIGHT_DOWN		EQU	25
ACT_RIGHT_UP		EQU	26
ACT_RIGHT_DRAG		EQU	27


ACT_SCROLL_UP		EQU	30
ACT_SCROLL_DOWN		EQU	31
ACT_SCROLL_LEFT		EQU	32
ACT_SCROLL_RIGHT	EQU	33
ACT_SCROLL_TRACK	EQU	34
ACT_SCROLL_SET_CRT	EQU	35
ACT_SCROLL_SET_MIN	EQU	36
ACT_SCROLL_SET_MAX	EQU	37

;ACT_LIST_ADD_STRING	EQU	40
;ACT_LIST_DEL_STRING	EQU	41
;ACT_LIST_CLEAR		EQU	42
ACT_LIST_SEL_ITEM	EQU	43

ACT_TREE_SEL_ITEM	EQU	45

ACT_LIST_SEL_ROW	EQU	47


ACT_GRID_ADD_ROW	EQU	51
ACT_GRID_ADD_COL	EQU	52
ACT_GRID_DEL_ROW	EQU	53
ACT_GRID_DEL_COL	EQU	54
ACT_GRID_SET_CEL	EQU	55
ACT_GRID_GET_CEL	EQU	56

ACT_PAINT_ROLL_UP	EQU	60


ACT_NOTIFY_FRAME	EQU	010000h


;----------------------------------
; OS Known callbacks / methods
;----------------------------------
OS_CALL_BEFORE		EQU	1
OS_CALL_DEFAULT		EQU	2
OS_CALL_AFTER		EQU	3
OS_CALL_NOTIFY		EQU	4



;----------------------------------------------------
; SOL virtual keys values
;----------------------------------------------------
KEY_EX_UNKNOWN		EQU	000000h
;--------------------------------------
; Extended keys that are on keyboard
; but are not in ASCII charts
;--------------------------------------
KEY_EX_ARROW_LEFT	EQU	010000h
KEY_EX_ARROW_RIGHT	EQU	020000h
KEY_EX_ARROW_UP		EQU	030000h
KEY_EX_ARROW_DOWN	EQU	040000h

KEY_EX_HOME		EQU	050000h
KEY_EX_END		EQU	060000h
KEY_EX_PAGE_UP		EQU	070000h
KEY_EX_PAGE_DOWN	EQU	080000h
KEY_EX_INSERT		EQU	090000h
KEY_EX_DELETE		EQU	0A0000h


KEY_EX_F1		EQU	100000h
KEY_EX_F2		EQU	110000h
KEY_EX_F3		EQU	120000h
KEY_EX_F4		EQU	130000h
KEY_EX_F5		EQU	140000h
KEY_EX_F6		EQU	150000h
KEY_EX_F7		EQU	160000h
KEY_EX_F8		EQU	170000h
KEY_EX_F9		EQU	180000h
KEY_EX_F10		EQU	190000h
KEY_EX_F11		EQU	1A0000h
KEY_EX_F12		EQU	1B0000h

KEY_EX_SHIFT_LEFT	EQU	200000h
KEY_EX_SHIFT_RIGHT	EQU	210000h

KEY_EX_ALT_LEFT		EQU	220000h
KEY_EX_ALT_RIGHT	EQU	230000h

KEY_EX_CTRL_LEFT	EQU	240000h
KEY_EX_CTRL_RIGHT	EQU	250000h

KEY_EX_WIN_LEFT		EQU	260000h
KEY_EX_WIN_RIGHT	EQU	270000h

KEY_EX_MENU		EQU	280000h

KEY_EX_CAPS_LOCK	EQU	300000h
;KEY_EX_NUM_LOCK		EQU	310000h
KEY_EX_SCROLL_LOCK	EQU	320000h
KEY_EX_BREAK_PAUSE	EQU	330000h
KEY_EX_PRINT_SCREEN	EQU	340000h

;--------------------------------------------
; quick hack = low word is ASCII CODE
;--------------------------------------------
KEY_EX_NUM_0		EQU	350030h
KEY_EX_NUM_1		EQU	360031h
KEY_EX_NUM_2		EQU	370032h
KEY_EX_NUM_3		EQU	380033h
KEY_EX_NUM_4		EQU	390034h
KEY_EX_NUM_5		EQU	400035h
KEY_EX_NUM_6		EQU	410036h
KEY_EX_NUM_7		EQU	420037h
KEY_EX_NUM_8		EQU	430038h
KEY_EX_NUM_9		EQU	440039h

KEY_EX_NUM_DOT		EQU	45002Eh
KEY_EX_NUM_PLUS		EQU	46002Bh
KEY_EX_NUM_MINUS	EQU	47002Dh
KEY_EX_NUM_SLASH	EQU	48002Fh
KEY_EX_NUM_STAR		EQU	49002Ah
KEY_EX_NUM_ENTER	EQU	50000Dh
KEY_EX_NUM_LOCK		EQU	510000h


	
;--------------------------------------
; "Simple" Keys that are in ASCII
;--------------------------------------
KEY_ASCII_BS		EQU	000008h
KEY_ASCII_TAB		EQU	000009h
KEY_ASCII_CR		EQU	00000Dh
KEY_ASCII_ESC		EQU	00001Bh
KEY_ASCII_SPACE		EQU	000020h

;-----------------------------------------
; drive types
;-----------------------------------------
OS_DRIVE_TYPE_HDD		EQU	0
OS_DRIVE_TYPE_CDROM		EQU	1
OS_DRIVE_TYPE_FLOPPY		EQU	2
OS_DRIVE_TYPE_USB_STICK		EQU	3	; not used
OS_DRIVE_TYPE_NET_SHARE		EQU	4	; not used
OS_DRIVE_TYPE_JAZZ		EQU	5	; not used
OS_DRIVE_TYPE_TAPE		EQU	6	; not used
OS_DRIVE_TYPE_VIRTUAL		EQU	7	; not used


;-----------------------------------
; file attributes
;-----------------------------------
OS_ATTR_RO		equ	01h
OS_ATTR_HIDDEN		equ	02h
OS_ATTR_SYSTEM		equ	04h
OS_ATTR_VOL		equ	08h
OS_ATTR_DIR		equ	10h
OS_ATTR_ARCHIVE		equ	20h



;----------------
; structures 
;----------------

;-----------------
; list box item
;-----------------
STRUC LIST_BOX_ITEM_HEAD 
	item_id			dd	?	; ID used by applications to find items
	item_icon		dd	?	; ICON handle 	- not used
	item_icon_phase		dd	?	; Icon pahse 	- not used
	item_string		db	?	; item String starts here, lenght is unknown
ENDS



;---------------------------------------
; structure 
; to store file/directory informations
;---------------------------------------
STRUC OS_DIR_LIST 
	dl_name			rb	12		;short name
	dl_name_end		db	?		;terminating zero at end of short name
	
	dl_cluster		dd	?
	dl_type			dd	?		;FILE/FOLDER/VOLUME

	dl_size			dd	?

	dl_lfn			dd	?		;flag for long filenames
	dl_name_long		rb	40		;long name; org 64
	dl_fill_up		rb	64		;40+64=94 -->lfn max=94
ENDS

